﻿@page
@model BeamAndGo.Member.Admin.Web.Pages.Member.MemberListModel
@{
    ViewData["Title"] = "Members";
}

<style>
    .uk-search-icon-flip svg {
        padding: 0 !important;
        cursor: pointer;
    }

    .filter tr {
        cursor: pointer;
    }

    .visible {
        display: block !important;
    }

    .uk-animation-shake {
        animation-name: uk-shake !important;
    }
</style>

<div class="uk-container uk-container-center">
    <div class="uk-grid-small" uk-grid>
        <div class="uk-width-1-6@m uk-visible@m">
            @{
                await Html.RenderPartialAsync("_Menu");
            }
        </div>

        <div class="uk-width-expand@m">
            <div class="uk-card uk-card-default uk-card-body">
                <h3 class="uk-card-title">@ViewData["Title"]</h3>

                <div uk-filter="target: .filter" class="uk-width-1-1 filter-main">
                    <table class="uk-table">
                        <tbody>
                            <tr>
                                <td class="uk-text">
                                    <div class="uk-margin-small filter-options-container">
                                        <div class="filter-search-container">
                                            <form method="get" asp-page-handler="search" asp-antiforgery="true" class="uk-subnav uk-subnav-pill uk-search uk-search-default uk-width-1-1">
                                                <span class="uk-search-icon-flip" uk-search-icon></span>
                                                <input name="search" asp-for="@Model.CurrentSearch" uk-filter-control="" class="uk-search-input" type="search" placeholder="Search by Name, Mobile Phone or Email">
                                            </form>
                                        </div>
                                    </div>
                                </td>
                                <td class="uk-text-nowrap uk-align-right">
                                    <a class="uk-button uk-button-primary" asp-page="/Member/CreateMember"> Add Member</a>
                                </td>
                            </tr>
                        </tbody>
                    </table>

                    @if (Model.PagesCount > 1)
                    {
                        <ul class="uk-pagination uk-flex-center" uk-margin>
                            @if (Model.CurrentPage > 1)
                            {
                                <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@(Model.CurrentPage - 1)" class="page-link"> <i class="fas fa-chevron-left"> </i>  </a></li>
                            }

                            @if (Model.PagesCount >= 10)
                            {
                                @if (Model.CurrentPage >= 10)
                                {
                                    @if (Model.CurrentPage >= 11)
                                    {
                                        <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@(Model.CurrentPage - 10)" class="page-link"> @(Model.CurrentPage - 10)</a></li>
                                    }
                                    else
                                    {
                                        <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="1" class="page-link"> 1 </a></li>
                                    }

                                    <li class="uk-disabled"><span>...</span></li>
                                }

                                @for (var i = Model.CurrentPage; i < Model.CurrentPage + 11; i++)
                                {
                                    @if (Model.PagesCount >= i)
                                    {
                                        <li class="page-item @(i == Model.CurrentPage ? "uk-active uk-text-bold" : "")">
                                            <a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@i" class="page-link">@i</a>
                                        </li>
                                    }
                                }

                                @if (Model.PagesCount > (Model.CurrentPage + 9))
                                {
                                    <li class="uk-disabled"><span>...</span></li>

                                    @if (Model.PagesCount > (Model.CurrentPage + 20))
                                    {
                                        <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@(Model.CurrentPage + 20)" class="page-link"> @(Model.CurrentPage + 20)</a></li>
                                    }
                                    else
                                    {
                                        <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@(Model.PagesCount)" class="page-link"> @(Model.PagesCount)</a></li>
                                    }
                                }
                            }
                            else
                            {
                                @for (var i = 1; i < Model.CurrentPage + 11; i++)
                                {
                                    @if (Model.PagesCount >= i)
                                    {
                                        <li class="page-item @(i == Model.CurrentPage ? "uk-active uk-text-bold" : "")">
                                            <a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@i" class="page-link">@i</a>
                                        </li>
                                    }
                                }
                            }

                            @if (Model.PagesCount > Model.CurrentPage)
                            {
                                <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@(Model.CurrentPage + 1)" class="page-link"> <i class="fas fa-chevron-right"> </i> </a></li>
                            }

                        </ul>
                    }

                    <div class="uk-overflow-auto">
                        <table id="example" class="uk-table uk-table-responsive uk-table-hover uk-table-middle uk-table-divider">
                            <thead>
                                <tr>
                                    <th class="uk-table-shrink uk-text-nowrap">First Name</th>
                                    <th class="uk-table-shrink uk-text-nowrap">Last Name</th>
                                    <th class="uk-table-shrink uk-text-nowrap">Mobile</th>
                                    <th class="uk-table-shrink uk-text-nowrap">Email</th>
                                    <th class="uk-table-shrink uk-text-nowrap">Status</th>
                                </tr>
                            </thead>
                            <tbody class="filter">
                                @foreach (var m in Model.memberList)
                                {
                                    @if (Model.IsReadOnly)
                                    {
                                        <tr class="show-information skills-el"
                                            data-name="@m.FirstName.ToLower() @m.LastName.ToLower() @m.MobileNumber @m.Email"
                                            uk-toggle="target: #modal-show-information"
                                            SelectedFirstName="@m.FirstName"
                                            SelectedMiddleName="@m.MiddleName"
                                            SelectedLastName="@m.LastName"
                                            SelectedGender="@m.Gender"
                                            SelectedBirthday="@m.BirthDate"
                                            SelectedCountry="@m.CountryCode"
                                            SelectedPhoneNumber="+@m.MobileCallingCode @m.MobileNumber"
                                            SelectedEmail="@m.Email"
                                            SelectedAddress="@m.Address">
                                            <td class="uk-text-nowrap">@m.FirstName</td>
                                            <td class="uk-text-nowrap">@m.LastName</td>
                                            <td class="uk-text-nowrap">+@m.MobileCallingCode @m.MobileNumber</td>
                                            <td class="uk-text-nowrap">@m.Email</td>
                                        </tr>
                                    }
                                    else
                                    {
                                        <tr class="skills-el"
                                            data-name="@m.FirstName.ToLower() @m.LastName.ToLower() @m.MobileNumber @m.Email"
                                            onclick="location.href = '@Url.Page("Edit", new { memberSid = m.Sid })'">
                                            <td class="uk-text-nowrap">@m.FirstName</td>
                                            <td class="uk-text-nowrap">@m.LastName</td>
                                            <td class="uk-text-nowrap">@(string.IsNullOrEmpty(m.MobileCallingCode) ? "" : "+")@m.MobileCallingCode @m.MobileNumber</td>
                                            <td class="uk-text-nowrap">@m.Email</td>
                                            <td class="uk-text-nowrap">@(m.Status == Core.Data.RecordStatus.Active ? "Active" : "Disabled")</td>
                                        </tr>
                                    }
                                }
                            </tbody>
                        </table>
                    </div>

                    @if (Model.PagesCount > 1)
                    {
                        <ul class="uk-pagination uk-flex-center" uk-margin>
                            @if (Model.CurrentPage > 1)
                            {
                                <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@(Model.CurrentPage - 1)" class="page-link"> <i class="fas fa-chevron-left"> </i>  </a></li>
                            }

                            @if (Model.PagesCount >= 10)
                            {
                                @if (Model.CurrentPage >= 10)
                                {
                                    @if (Model.CurrentPage >= 11)
                                    {
                                        <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@(Model.CurrentPage - 10)" class="page-link"> @(Model.CurrentPage - 10)</a></li>
                                    }
                                    else
                                    {
                                        <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="1" class="page-link"> 1 </a></li>
                                    }

                                    <li class="uk-disabled"><span>...</span></li>
                                }

                                @for (var i = Model.CurrentPage; i < Model.CurrentPage + 11; i++)
                                {
                                    @if (Model.PagesCount >= i)
                                    {
                                        <li class="page-item @(i == Model.CurrentPage ? "uk-active uk-text-bold" : "")">
                                            <a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@i" class="page-link">@i</a>
                                        </li>
                                    }
                                }

                                @if (Model.PagesCount > (Model.CurrentPage + 9))
                                {
                                    <li class="uk-disabled"><span>...</span></li>

                                    @if (Model.PagesCount > (Model.CurrentPage + 20))
                                    {
                                        <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@(Model.CurrentPage + 20)" class="page-link"> @(Model.CurrentPage + 20)</a></li>
                                    }
                                    else
                                    {
                                        <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@(Model.PagesCount)" class="page-link"> @(Model.PagesCount)</a></li>
                                    }
                                }
                            }
                            else
                            {
                                @for (var i = 1; i < Model.CurrentPage + 11; i++)
                                {
                                    @if (Model.PagesCount >= i)
                                    {
                                        <li class="page-item @(i == Model.CurrentPage ? "uk-active uk-text-bold" : "")">
                                            <a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@i" class="page-link">@i</a>
                                        </li>
                                    }
                                }
                            }

                            @if (Model.PagesCount > Model.CurrentPage)
                            {
                                <li><a asp-page="/Member/List" asp-route-search="@Model.CurrentSearch" asp-route-start="@(Model.CurrentPage + 1)" class="page-link"> <i class="fas fa-chevron-right"> </i> </a></li>
                            }

                        </ul>
                    }
                </div>
            </div>
        </div>
    </div>
</div>

<!-- This is the modal -->
<div id="modal-show-information" uk-modal>
    <div class="uk-modal-dialog uk-modal-body">
        <h3 class="uk-card-title">
            Member Details
        </h3>

        <table class="uk-table-small">
            <tbody>
                <tr>
                    <td>First Name</td>
                    <td><span class="modal-FirstName"></span></td>
                </tr>
                <tr>
                    <td>Middle Name</td>
                    <td><span class="modal-MiddleName"></span></td>
                </tr>
                <tr>
                    <td>Last Name</td>
                    <td><span class="modal-LastName"></span></td>
                </tr>
                <tr>
                    <td>Gender</td>
                    <td><span class="modal-Gender"></span></td>
                </tr>
                <tr>
                    <td>Birthday</td>
                    <td><span class="modal-Birthday"></span></td>
                </tr>
                <tr>
                    <td>Country</td>
                    <td><span class="modal-Country"></span></td>
                </tr>
                <tr>
                    <td>Phone Number</td>
                    <td><span class="modal-PhoneNumber"></span></td>
                </tr>
                <tr>
                    <td>Email</td>
                    <td><span class="modal-Email"></span></td>
                </tr>
                <tr>
                    <td>Address</td>
                    <td><span class="modal-Address"></span></td>
                </tr>
            </tbody>
        </table>
        <div class="uk-margin-top uk-align-right">
            <button class="uk-button uk-button-default uk-modal-close" type="button">Close</button>
        </div>
    </div>

</div>
<!-- End of modal -->
<script type="text/javascript">
    $('.show-information').click(function () {
        $('.modal-FirstName').text($(this).attr('SelectedFirstName'));
        $('.modal-MiddleName').text($(this).attr('SelectedMiddleName'));
        $('.modal-LastName').text($(this).attr('SelectedLastName'));
        $('.modal-Gender').text($(this).attr('SelectedGender'));
        $('.modal-Birthday').text($(this).attr('SelectedBirthday'));
        $('.modal-Country').text($(this).attr('SelectedCountry'));
        $('.modal-PhoneNumber').text($(this).attr('SelectedPhoneNumber'));
        $('.modal-Email').text($(this).attr('SelectedEmail'));
        $('.modal-Address').text($(this).attr('SelectedAddress'));
    });
</script>